local function addHat(hat_unit)
	local pos = Vector3()
	local rot = Rotation()
	local unit = hat_unit or "units/payday2/characters/ene_acc_spook_santa_hat/ene_acc_spook_santa_hat"
	
	return safe_spawn_unit(Idstring(unit), pos, rot)
end

function CivilianBase:_chk_spawn_gear()
	self._headwear_unit = addHat()
	
	if self._headwear_unit then
		local align_obj_name = Idstring("Head")
		local align_obj = self._unit:get_object(align_obj_name)

		self._unit:link(align_obj_name, self._headwear_unit, self._headwear_unit:orientation_object():name())
	end
end

Hooks:PostHook(CivilianBase, "post_init", "add_hat", function(self)
	self:_chk_spawn_gear()
end)